<div class="sign-form__container">

  <a href={{this.showcase.url}} class="pix-logo__link" title={{t 'navigation.back-to-homepage'}}>
    <img class="pix-logo__image" src="/images/ecriplus-tests.svg" alt="{{this.showcase.linkText}}">
  </a>

  <div class="sign-form__header">
    <h1 class="sign-form-title">{{@user.fullName}}</h1>

    {{#unless this.hasSucceeded}}
      <div class="sign-form-header__instruction sign-form-subtitle">{{t "pages.reset-password.instruction"}}</div>
    {{/unless}}
  </div>

  {{#unless this.hasSucceeded}}
    <form {{on "submit" this.handleResetPassword}} class="sign-form__body">

      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.reset-password.fields.password.label'}}"
          @textfieldName="password"
          @validationStatus={{this.validation.status}}
          @onValidate={{this.validatePassword}}
          @inputBindingValue={{@user.password}}
          @validationMessage={{this.validation.message}}
        />
      </div>

      <div class="sign-form-body__bottom-button sign-form-body__bottom-button--big">
        <PixButton @type="submit" @shape="rounded" class="button--big">
          {{t "pages.reset-password.actions.submit"}}
        </PixButton>
      </div>

    </form>
  {{/unless}}

  {{#if this.hasSucceeded}}
    <div class="sign-form__body">
      <div
        class="password-reset-demand-form__body password-reset-demand-form__body--centered sign-form-text"
        aria-live="polite"
      >
        {{t "pages.reset-password.succeed"}}
      </div>
      <div class="sign-form-body__bottom-button sign-form-body__bottom-button--big">
        <LinkTo @route="authentication.login" class="button button--link button--uppercase button--thin button--round">
          {{t "pages.reset-password.actions.sign-in"}}
        </LinkTo>
      </div>
    </div>
  {{/if}}
</div>